Start an agent chat
POST
Starts a chat in the VM. A VM keeps at most one empty chat: when it already has one, you get that.
apiKeyheader
AuthorizationBearer <hmk_…>An API key from the dashboard or homemade api-key create.
vmId*stringThe chat to open.
application/json- response
sessionId*stringMatch
^[cC][hH][aA][tT]-[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$Length
length <= 41curl -X POST 'https://api.homemade.dev/api/vms/string/chat-sessions'Example Response
{ "sessionId": "string"}